﻿using GeoAPI.Geometries;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Madart.OperationalUI.DataAccess.Models;

namespace Madart.OperationalUI.SignalR.Models
{
	public class CurrentVesselState
	{
		// Data from AIS and Database
		public long		VesselStateId { get; set; }
		public long?	VesselId { get; set; }
		public int		MmsiNo { get; set; }
		public string	Status { get; set; }
		public int?		SpeedOverGround { get; set; }
		public IPoint	Position { get; set; }
		public double?	CourseOverGround { get; set; }
		public int?		RadioStatus { get; set; }
		public double?	RelDistStd { get; set; }
		public double?	RelDistMax { get; set; }
		public double?	DistToP { get; set; }
		public int? NormalRouteId { get; set; }
		public DateTime? TimeReceived { get; set; }
		public virtual Vessel Vessel { get; set; }
		public string CurrentDestination { get; set; }
		public string Description { get; set; }

		// Additional Data for VesselStateManager
		public List<Tuple<int?, double?>> NormalRoutesIdRank { get; set; }
		public int? VesselTypeGroupId;
		public int? VesselTypeId;
		public bool newMessage;
	}
}
